package com.hzya.frame.sys.databaseNames.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.datasource.DataSourceUtil;
import com.hzya.frame.sys.databaseNames.dao.IDatabaseNamesMapper;
import com.hzya.frame.sys.databaseNames.entity.DatabaseNames;
import org.apache.ibatis.session.SqlSession;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 数据库表名表  dao
 * @tableName: sys_database_names
 * @entityName: DatabaseNames
 * @author: gjh
 * @history:1.0
 */
@Service
public class DatabaseNamesMapperImpl extends MybatisGenericDao<DatabaseNames, String> implements IDatabaseNamesMapper {

    @Override
    public DatabaseNames entity_get(String id) {

            DatabaseNames o = (DatabaseNames) super.selectOne(getSqlIdPrifx() + "entity_get", id);
            return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<DatabaseNames> entity_list_base(DatabaseNames entity) {

            List<DatabaseNames> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
            return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(DatabaseNames entity) {

            Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
            return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<DatabaseNames> entity_list_like(DatabaseNames entity) {

            List<DatabaseNames> o =  super.query(getSqlIdPrifx() + "entity_list_like", entity);
            return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<DatabaseNames> entity_list_or(DatabaseNames entity) {

            List<DatabaseNames> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
            return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(DatabaseNames entity) {

            Integer o = super.delete(getSqlIdPrifx() + "entity_insert", entity);
            return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(DatabaseNames entity) {

            Integer o = super.delete(getSqlIdPrifx() + "entity_update", entity);
            return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(DatabaseNames entity) {

            Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete", entity);
            return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(DatabaseNames entity) {
            Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
            return o;
    }

    //物理删除
    @Override
    public Integer entity_delete(DatabaseNames entity) {

            Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
            return o;

    }
}
